<?php

include('pdf/fpdf.php');
session_cache_limiter('private');
session_start();
include("DMMYSQLG.php");
class PDF extends FPDF{
//Cabecera de página
	function Header(){
	    //Logo
	         include("DYIM_VER.php");
	    //Arial bold 14
		$this->SetFont('Arial','B',18);
		//Título
		$this->Cell(225,5,'CATALOGO: PROVEEDORES',0,1,'C',0);
		//Salto de línea
		$this->Ln(8);
		$this->SetFont('Arial','B',9);//establece tamaño de letra
		$this->SetFillColor(192,192,192);
		$this->Cell(35,5,'',0,0,'C',0);
		$this->Cell(15,5,'CLAVE',1,0,'C',1);
		$this->Cell(75,5,'DESCRIPCION',1,0,'C',1);
		$this->cell(40,5,'PROVEEDOR DE:',1,0,'C',1);
		$this->cell(35,5,'# DE PROVEEDOR',1,0,'C',1);
		$this->cell(20,5,'STATUS',1,1,'C',1);
		//$this->cell(20,5,'Fecha de Salida',1,1,'C',1);
	
	}	
	//Pie de página
	function Footer()
	{
	//Posición: a 1,5 cm del final
	$this->SetY(-15);
	//Arial italic 8
	$this->SetFont('Arial','I',8);
	//Número de página
	$this->Cell(0,10, $this->PageNo(),0,0,'C');
	}
}

$pdf=new PDF('L','mm','Letter');
$pdf->AddPage();

$pdf->SetFillColor(192,192,192);
$pdf->SetFont('Arial','',7);//establece tamaño de letra
$vtb=(isset($_POST['tbus2']))?$_POST['tbus2']:"";
$tbus=mysqli_real_escape_string($GLOBALS['con'],$vtb);
if(isset($_POST['bot'])&&$_POST['bot']=="")
    $sql =  mysqli_query($GLOBALS['con'] ,"SELECT * FROM fproveedores order by np_desc1");
	//$sql = mysqli_query($GLOBALS['con'] ,$_POST['tbus']);
else
	@$sql = mysqli_query($GLOBALS['con'] ,"select * from fproveedores where nparte1 = '".$_POST['bot']."'") ;
	
while($row = mysqli_fetch_array($sql)){
    $pdf-> Cell(35,5,'',0,0,'C',0);
	$pdf-> Cell(15,5, $row["nparte1"],1,0,'C',0);
	$pdf-> Cell(75,5, $row["np_desc1"],1,0,'L',0);
	$pdf-> Cell(40,5, $row["proveedor"],1,0,'C',0);
	$pdf-> Cell(35,5, $row["numero"],1,0,'C',0);
	$pdf-> Cell(20,5, $row["t1"],1,1,'C',0);
	//$pdf-> Cell(20,5, $row["gfechasalida"],1,1,'C',0);
	
}
$pdf->Output("Catalogo_De_Proveedores.pdf","D");
?> 